Subject: Re: bug#46491: [feature/pgtk] Unused macro warning in image.c without ImageMagick

From: Alan Third <[email-masked]>
Date: Sun, 14 Feb 2021 10:03:25 +0000

On Sun, Feb 14, 2021 at 11:20:19AM +0900, Yuuki Harano wrote:
> 
> On Sat, 13 Feb 2021 23:05:45 +0000,
> 	Alan Third <[email-masked]> wrote:
> > I think your patch looks right, but I'm confused as to why this is in
> > the PGTK branch at all. The imagemagick transforms are intentionally
> > excluded from the native transforms, but this disables the imagemagick
> > transforms completely and, presumably, replaces them with native
> > transforms.
> 
> I wanted to make imagemagick images not blurry in image-mode on
> scale x2.0 monitor.
> 
> With the exclusion, imagemagick generates scaled image pixel data,
> and the image is rendered twice in size, so it is blurry.
> Without the exclusion, imagemagick generates original image pixel data,
> and the image may not be enlarged (but shrinked), so it may not be blurry.
> 
> For other than imagemagick, like png, original image pixel data is generated,
> and it is not blurry on scale x2.0 monitor.

I am aware of this, I see the same thing on NS, but when native
transforms were introduced we decided that when a user asks
imagemagick to modify an image, imagemagick should actually do the
modifications and Emacs will just display the results.

I don't know that it's important, though.
-- 
Alan Third